%define Werror_cflags %nil

Summary:	An easy to use text editor, supporting syntax highlight and UTF-8
Name:		joe
Version:	4.6
Release:	%mkrel 4
License:	GPLv2+
Group:		Editors
Url:		http://joe-editor.sourceforge.net/
Source:		http://downloads.sourceforge.net/project/joe-editor/JOE%20sources/%{name}-%{version}/%{name}-%{version}.tar.gz
# RPM SPEC mode, originally from Suse's joe
Source1:	spec.jsf
Patch1:		joe-3.7-term.patch

BuildRequires:	pkgconfig(ncurses)

%description
Joe is an easy to use, modeless text editor which would be very
appropriate for novices.  Joe uses the same WordStar keybindings used
in Borland's development environment.

You should install joe if you've used it before and you liked it, or
if you're still deciding what text editor you'd like to use, or if you
have a fondness for WordStar.  If you're just starting out, you should
probably install joe because it is very easy to use.

%prep
%setup -q
%patch1 -p1 -b .TERM

# file-not-utf8
iconv -f koi8-r -t utf-8 ./man/ru/joe.1.in >./man/ru/joe.1.in.aux
touch -r ./man/ru/joe.1.in ./man/ru/joe.1.in.aux
mv ./man/ru/joe.1.in.aux ./man/ru/joe.1.in
iconv -f ISO_8859-1 -t UTF-8 ChangeLog > ChangeLog.tmp
touch -r ChangeLog ChangeLog.tmp
mv ChangeLog.tmp ChangeLog

%build
export CFLAGS="%{optflags} -DUSE_LOCALE"
%configure
%make_build

%install
%make_install

for dir in %{buildroot}%{_mandir} %{buildroot}%{_mandir}/ru; do
  pushd $dir/man1
  for bin in jmacs jpico jstar rjoe; do
    ln -s joe.1 ${bin}.1
  done
  popd
done

cp -p %{SOURCE1} %{buildroot}%{_datadir}/joe/syntax/
rm -f %{buildroot}%{_datadir}/applications/*.desktop

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=Joe
Comment=An easy to use text editor, supporting syntax highlight and UTF-8
Exec=%{name} %f
Icon=editors_section
Terminal=true
Type=Application
Categories=TextEditor;
EOF

%files
%doc ChangeLog README.md docs/help-system.html NEWS.md
%doc docs/README.old docs/hacking.md docs/man.md
%{_bindir}/*
%config(noreplace) %{_sysconfdir}/joe/
%{_datadir}/%{name}/
%{_mandir}/man1/*.1*
%lang(ru) %{_mandir}/ru/man1/*.1*
%{_datadir}/applications/%{name}.desktop


%changelog
* Thu Jul 09 2020 ovitters <ovitters> 4.6-4.mga8
+ Revision: 1603627
- drop Mageia specific category from desktop file (mga#2449)

* Thu Feb 13 2020 umeabot <umeabot> 4.6-3.mga8
+ Revision: 1513681
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 4.6-2.mga7
+ Revision: 1298382
- Mageia 7 Mass Rebuild

* Thu Jan 25 2018 shlomif <shlomif> 4.6-1.mga7
+ Revision: 1197172
- New version 4.6

* Fri Oct 20 2017 mjack <mjack> 4.5-1.mga7
+ Revision: 1172873
- Updated to version 4.5

* Mon Jul 17 2017 shlomif <shlomif> 4.4-1.mga7
+ Revision: 1124385
- New version 4.4

* Sat Jan 14 2017 shlomif <shlomif> 4.3-1.mga6
+ Revision: 1081711
- New version 4.3

* Wed Apr 06 2016 daviddavid <daviddavid> 4.1-3.mga6
+ Revision: 999015
- fix Comment from desktop file (mga#18141)
- remove no more needed "hack to install the manpages"
- use now %%make_install macro
- fix owner of data dir
- fix files not utf8

* Sat Feb 20 2016 umeabot <umeabot> 4.1-2.mga6
+ Revision: 971963
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 ngompa <ngompa> 4.1-1.mga6
+ Revision: 893829
- Update to version 4.1

* Fri Jun 26 2015 sander85 <sander85> 4.0-1.mga6
+ Revision: 844658
- New version: 4.0

* Wed Oct 15 2014 umeabot <umeabot> 3.7-11.mga5
+ Revision: 750207
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.7-10.mga5
+ Revision: 680840
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 3.7-9.mga4
+ Revision: 522605
- Mageia 4 Mass Rebuild

* Sat Mar 23 2013 wally <wally> 3.7-8.mga3
+ Revision: 404670
- fix desktop file name
- clean .spec a bit

* Sat Jan 12 2013 umeabot <umeabot> 3.7-7.mga3
+ Revision: 355517
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 21 2012 sander85 <sander85> 3.7-6.mga2
+ Revision: 199054
- bump rel to enable update from mga1
- clean spec

* Mon Jun 13 2011 sander85 <sander85> 3.7-4.mga2
+ Revision: 105935
- clean spec
- imported package joe


* Mon May 03 2010 Emmanuel Andry <eandry@mandriva.org> 3.7-4mdv2010.1
+ Revision: 541757
- fix possible crash with p3 (should fix #58889)

* Mon Mar 15 2010 Oden Eriksson <oeriksson@mandriva.com> 3.7-3mdv2010.1
+ Revision: 520137
- rebuilt for 2010.1

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 3.7-2mdv2010.0
+ Revision: 425465
- rebuild

* Thu Jan 15 2009 Jérôme Soyer <saispo@mandriva.org> 3.7-1mdv2009.1
+ Revision: 329765
- New upstream release

* Thu Jun 12 2008 Pixel <pixel@mandriva.com> 3.5-8mdv2009.0
+ Revision: 218439
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sat Feb 09 2008 Funda Wang <fwang@mandriva.org> 3.5-8mdv2008.1
+ Revision: 164390
- fix license

* Fri Feb 08 2008 Funda Wang <fwang@mandriva.org> 3.5-7mdv2008.1
+ Revision: 164161
- fix LICENSE, it should be GPLv1+

* Thu Feb 07 2008 Thierry Vignaud <tv@mandriva.org> 3.5-6mdv2008.1
+ Revision: 163540
- drop old menu

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 3.5-5mdv2008.1
+ Revision: 127401
- kill re-definition of %%buildroot on Pixel's request


* Tue Feb 06 2007 Gustavo De Nardin <gustavodn@mandriva.com> 3.5-5mdv2007.0
+ Revision: 116886
- fixed menu description
- fixed desktop file
- small fix to spec mode
- added highlight for strings and Requires() to spec mode
- some improvements to spec mode

* Tue Jan 23 2007 Gustavo De Nardin <gustavodn@mandriva.com> 3.5-4mdv2007.1
+ Revision: 112192
- added RPM SPEC mode, from Suse (spec.jsf)
- removed dead patch (joe-3.3-ret.patch.bz2)
- don't package docs in /etc! (as non-docs even)
- manpages for all joe names

* Mon Jan 22 2007 Gustavo De Nardin <gustavodn@mandriva.com> 3.5-3mdv2007.1
+ Revision: 111958
- note about syntax hilight and UTF-8 support on summary
- added docs and russian manpage to package

* Tue Sep 19 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 3.5-2mdv2007.0
- Rebuild

* Wed Aug 09 2006 Giuseppe Ghibò <ghibo@mandriva.com> 3.5-1mdv2007.0
- Release: 3.5
- Rebuilt Patch1.
- Disable Patch2.
- XDG menu.

* Sat Sep 10 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 3.3-2mdk
- menudir

* Mon Jul 11 2005 Giuseppe Ghibò <ghibo@mandriva.com> 3.3-1mdk
- Release: 3.3.
- Removed old Patch2.
- Merged Patch2 from RH.

* Sun Oct 10 2004 Giuseppe Ghibò <ghibo@mandrakesoft.com> 3.1-5mdk
- Added Patch2, to fix documentation/mandirs according to new /etc/joe path
  (from RH).

* Sat Oct 09 2004 Giuseppe Ghibò <ghibo@mandrakesoft.com> 3.1-4mdk
- Use /etc/joe and not /etc/joe/joe as config dir (fix bug #12021).

* Tue Aug 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-3mdk
- Rebuild with new menu.

* Tue Jul 20 2004 Giuseppe Ghibò <ghibo@mandrakesoft.com> 3.1-2mdk
- Rebuilt.

* Tue Jun 01 2004 Giuseppe Ghibò <ghibo@mandrakesoft.com> 3.1-1mdk
- Release 3.1.

* Tue Apr 27 2004 Giuseppe Ghibò <ghibo@mandrakesoft.com> 3.0-1mdk
- Release: 3.0.
- Removed Patch0.

* Sat Feb 07 2004 Giuseppe Ghibò <ghibo@mandrakesoft.com> 2.9.8-2mdk
- Merged gnome term patches from RH (Patch1).
- Renamed Patch2 -> Patch0.

